summaryrefslogtreecommitdiff
path: root/scripts/tarpkg
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2010-02-07 20:03:20 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2010-02-07 20:03:20 +0100
commit6daa792eab1488d013fefc5eb7e4d01f40f38687 (patch)
tree6391cc46bb9fc8b859d99175ea317e5fa7b37959 /scripts/tarpkg
parentadcaca72539b2ff4a5f4deee00d5f0251378ac9b (diff)
change defaults for CONFIG/BUILD/INSTALL styles
All packages need an update, so here is a very huge commit. Most of the 460 source packages use automatic style for configuration, building and installing. Make these styles default to "auto". If you have a package, which does not conform to this, just use manual style and add a do-$task make target. I added a new style named AUTOTOOL style, which is needed for some broken packages, which needs to be updated via autoconf or automake. I renamed CONFIGURE_STYLE to CONFIG_STYLE. Updates for some packages, which have newer upstream versions. Renaming of all package/*/extra directories. Use the directory src/ to provide overwrites of source files or to add the code, when no upstream package is available or used. src directory will be automatically used.
Diffstat (limited to 'scripts/tarpkg')
-rwxr-xr-xscripts/tarpkg5
1 files changed, 2 insertions, 3 deletions
diff --git a/scripts/tarpkg b/scripts/tarpkg
index bbb242a5e..37c0b2079 100755
--- a/scripts/tarpkg
+++ b/scripts/tarpkg
@@ -10,10 +10,9 @@ if [ "$1" = "build" ];then
pkgname=$(grep "^Package:" $2/CONTROL/control | sed -e "s/^[^:]*:[[:space:]]*//")
version=$(grep "^Version:" $2/CONTROL/control | sed -e "s/^[^:]*:[[:space:]]*//")
arch=$(grep "^Architecture:" $2/CONTROL/control | sed -e "s/^[^:]*:[[:space:]]*//")
- mkdir -p ${2}/usr/lib/pkg
for file in preinst postinst prerm postrm; do
- [ ! -f $2/CONTROL/$file ] || ( cp $2/CONTROL/$file \
- ${2}/usr/lib/pkg/${pkgname}.$file && \
+ [ ! -f $2/CONTROL/$file ] || ( mkdir -p ${2}/usr/lib/pkg && \
+ cp $2/CONTROL/$file ${2}/usr/lib/pkg/${pkgname}.$file && \
chmod +x ${2}/usr/lib/pkg/${pkgname}.$file )
done
rm -rf $2/CONTROL